Bug 1625879 - advisory option not working with dnf install
Summary: advisory option not working with dnf install
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: 28
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Mracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-06 07:37 UTC by Mattia Verga
Modified: 2018-10-22 16:13 UTC (History)
7 users (show)

Fixed In Version: dnf-4.0.4-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-10-22 16:13:07 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mattia Verga 2018-09-06 07:37:26 UTC
Accordingly to documentation, the --advisory option should work with dnf install:

--advisory=<advisory>, --advisories=<advisory>
    Includes packages corresponding to the advisory ID, Eg. FEDORA-2201-123. Applicable for install, repoquery, updateinfo, and upgrade command.

But trying to do so I get an error which I can't comprehend:

# dnf install --advisory FEDORA-2018-11d9a003e1
dnf install: error: the following arguments are required: PACCHETTO

See also https://github.com/fedora-infra/bodhi/issues/2564

Comment 1 Jason Tibbitts 2018-09-06 12:37:35 UTC
So I think this isn't actually a bug.   The error is correct: dnf wants you to tell it what to install.

Basically, it tells you that yes, you can list an advisory.  But you still need to tell it what packages in that advisory need to be installed.  This is in contrast to how dnf update --advisory works; it will upgrade every package in the advisory by default.

So in essence what dnf install --advisory does is apply an additional limit on the packages it will install.  So you can safely do:

dnf install --advisory=FEDORA-2018-b7b99fe852 \*

And get just the package listed in that one advisory.

Comment 2 Mattia Verga 2018-09-06 18:06:47 UTC
So maybe the --advisory option used with install command should be better specified in dnf documentation under https://dnf.readthedocs.io/en/latest/command_ref.html#install-examples

Comment 4 Jaroslav Mracek 2018-10-08 08:11:14 UTC
I create a patch (https://github.com/rpm-software-management/dnf/pull/1239) that adds example into documentation.

Comment 5 Fedora Update System 2018-10-15 12:28:41 UTC
dnf-plugins-core-4.0.0-1.fc29 dnf-4.0.4-1.fc29 libdnf-0.22.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2789f6b6e7

Comment 6 Fedora Update System 2018-10-15 18:23:14 UTC
dnf-4.0.4-1.fc29, dnf-plugins-core-4.0.0-1.fc29, libdnf-0.22.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2789f6b6e7

Comment 7 Fedora Update System 2018-10-17 13:01:43 UTC
dnf-4.0.4-1.fc29 dnf-plugins-core-4.0.0-2.fc29 libdnf-0.22.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2789f6b6e7

Comment 8 Fedora Update System 2018-10-17 23:30:39 UTC
dnf-4.0.4-1.fc29, dnf-plugins-core-4.0.0-2.fc29, libdnf-0.22.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2789f6b6e7

Comment 9 Fedora Update System 2018-10-18 14:06:31 UTC
anaconda-29.24.6-1.fc29 dnf-4.0.4-1.fc29 dnf-plugins-core-4.0.0-2.fc29 libblockdev-2.20-2.fc29 libdnf-0.22.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2789f6b6e7

Comment 10 Fedora Update System 2018-10-20 19:22:10 UTC
anaconda-29.24.7-1.fc29, dnf-4.0.4-1.fc29, dnf-plugins-core-4.0.0-2.fc29, libblockdev-2.20-2.fc29, libdnf-0.22.0-5.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2789f6b6e7

Comment 11 Fedora Update System 2018-10-22 16:13:07 UTC
anaconda-29.24.7-1.fc29, dnf-4.0.4-1.fc29, dnf-plugins-core-4.0.0-2.fc29, libblockdev-2.20-2.fc29, libdnf-0.22.0-5.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.